Package org.eclipse.m2m.atl.core.ant.tasks.nested

## Class Extractor

- java.lang.Object
- - org.eclipse.m2m.atl.core.ant.tasks.nested.Extractor

    public class Extractor
    extends java.lang.Object

Extractor nested element.

### Field Summary

Fields
`protected java.lang.String` `name`

### Constructor Summary

Constructors
`Extractor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfiguredParam​(Param p)` Adds a `Param`.
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,​java.lang.Object>` `getParams()`
`void` `setName​(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected java.lang.String name

### Constructor Detail

#### Extractor

    public Extractor()

### Method Detail

#### addConfiguredParam

    public void addConfiguredParam​(Param p)

Adds a `Param`.

Parameters:
  `p` - the parameter

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### getParams

    public java.util.Map<java.lang.String,​java.lang.Object> getParams()